#
# spec file for package python3-wcwidth
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-wcwidth
Version:        0.1.7
Release:        1.2
Summary:        Number of Terminal column cells of wide-character codes
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jquast/wcwidth
Source:         https://files.pythonhosted.org/packages/source/w/wcwidth/wcwidth-%{version}.tar.gz
BuildRequires:  python3-devel >= 3.3
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This API is mainly for Terminal Emulator implementors -- any python
program that attempts to determine the printable width of a string on
a Terminal. It is implemented in python (no C library calls) and has
no 3rd-party dependencies.

It is certainly possible to use your Operating System's wcwidth(3)
and wcswidth(3) calls if it is POSIX-conforming, but this would not
be possible on non-POSIX platforms, such as Windows, or for
alternative Python implementations, such as jython.  It is also
commonly many releases older than the most current Unicode Standard
release files, which this project aims to track.

%prep
%setup -q -n wcwidth-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
pushd wcwidth/tests
PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests
popd

# This file is meant to be runnable on its own for testing,
# so don't remove the shebang.
chmod a+x %{buildroot}%{python3_sitelib}/wcwidth/tests/test_*.py

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt
%{python3_sitelib}/*

%changelog
* Sat Jul  2 2016 arun@gmx.de
- update to version 0.1.7:
  * Updated tables to Unicode Specification 9.0.0. (PR #18).
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Jan 16 2016 arun@gmx.de
- specfile:
  * update copyright year
  * include license file in %%doc
- update to version 0.1.6:
  * Include LICENSE file in package distribution
* Sun Sep 27 2015 arun@gmx.de
- update to version 0.1.5:
  * Bugfix: Resolution of "combining character width" issue, most
    especially those that previously returned -1 now often (correctly)
    return 0. resolved by Philip Craig via PR #11.
  * Deprecated: The module path wcwidth.table_comb is no longer
    available, it has been superseded by module path
    wcwidth.table_zero.
* Wed May  6 2015 toddrme2178@gmail.com
- Initial version
